function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_kitchen"
end

function p.main()
    -- The default block is "recursive kitchen".
    set_default_block("r_kitchen")
    
    -- Carving out the room.
    std.create_center(13, "e")
    std.create_half_tube(3, "y_neg", "e")
    
    -- The pedestal (block type = "s", for "solid boring").
    create_rect("s", 7,10,0, 7,10,6)
    
    -- The top of the pedestal.
    -- PUT YOUR WORLD HERE INSTEAD OF THE TREE!!!
    set_pos(7,10,7,"block_tree")

    -- Shrinking.
    add_bent(7,10,8,"bent_base_ring_green")

    -- Enlarging.
    set_pos(6,10,6,"grow")
    set_pos(8,10,6,"grow")
    set_pos(7,9,6,"grow")
    set_pos(7,11,6,"grow")

    -- Text box.
    local msg_str = "This is the Dragon Room. "
        .. "^x00ff00You might want to code up a world and place it "
        .. "on top of the pedestal.^!\n\n"
        .. "The script for this room is\n"
        .. "WorldNodes/Nodes/Floor1/tut_lev1_dragon_room.lua\".\n\n"
        .. "When you think you have finished enough of the tutorial, "
        .. "open that file and add the code to place "
        .. "your world on top of the pedestal. "
    add_bent_s(7,3,5,"bent_base_txt",msg_str)
    
    -- Dragon picture.
    add_bent(7,13,7,"bent_picture_dragon")
end
